Create folder
POST
/folder
const url = 'https://api.colourbox.com/folder';const options = { method: 'POST', headers: { Authorization: 'CBX-SIMPLE-TOKEN Token=<token>', 'Content-Type': 'application/json' }, body: '{"company_id":147903,"parent":155111,"name":"My newly created folder"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/folder \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \ --header 'Content-Type: application/json' \ --data '{ "company_id": 147903, "parent": 155111, "name": "My newly created folder" }'Create a new folder.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
company_id
integer
Example
147903parent
required
Folder ID of the parent folder, null for a top-level folder.
integer
Example
155111name
required
string
Example
My newly created folderResponses
Section titled “Responses”Description of newly created folder
Media typeapplication/json
object
created
string
company_id
integer
parent
Folder ID of parent folder, null if no parent folder exists.
integer
name
string
id
integer
Example
{ "created": "2014-06-26 14:11:25", "company_id": 147903, "parent": 161503, "name": "My Folder", "id": 1969517}